#include "../headers/peixeTeclado.h"

PeixeTeclado::PeixeTeclado()
{
	passo = 5;
	teta = 0.1;
	dx=-175;
	dy=0;
	dox=30;
	doy=30;
	pi =3.14159265;
	raio=20;
	angulo=0;
}

void PeixeTeclado::Anima(int tipo)
{
     switch (tipo)
     {
         case 1: { dx += (passo * cos(teta)); dy += (passo * sin(teta)); break;}
         case 2: { dx -= (passo * cos(teta)); dy -= (passo * sin(teta));  break;}
         case 4: { teta = teta + 0.1; break;}
         case 3: { teta = teta - 0.1; break;}
         default:{ break;}
     }
}

void PeixeTeclado::Colisao(void)
{
	if (dx+raio>=-125)
		 dx = dx - passo;
	if (dx-raio<=-263 )      
		 dx = dx + passo;
	if (dy+raio>=73)
		 dy = dy - passo;            
	if (dy-raio<=-95)      
		 dy = dy + passo;
 }

void PeixeTeclado::Rotacao(void)
{
	angulo = (teta*180)/pi;
    glRotatef(angulo,0,1,0);
}


void PeixeTeclado::Translacao(void)
{
    glTranslatef(dy,0,dx);  
}

void PeixeTeclado::desenhaPeixeTeclado()
{ 
    glTranslatef(0,0,250); 
	Translacao();
	Rotacao();
    glRotatef(-90,0,1,0);
}